import { DataModel } from '../../entities/DataModel';
import { GroupBase } from './group-base';
import { Component, Input, OnInit } from '@angular/core';
import { FormGroup, Validators } from '@angular/forms';
import { NgForm } from '@angular/forms';



@Component({
  selector: 'df-group',
  templateUrl: './dynamic-form-group.component.html',
  styleUrls: ['./dynamic-form-group.component.css']
})
export class DynamicFormGroupComponent implements OnInit {
  @Input() dataModel: DataModel;
  @Input() group: GroupBase<any>;
  @Input() form: FormGroup;
  @Input() customStyle: {};
  @Input() classFromJson: string ;

  constructor() {
  }

  ngOnInit() {
    let st = this.group.style == "any" ? "" : this.group.style;
    this.classFromJson = this.group.class == "" ? "" : this.group.class;

    this.customStyle = {};
    if (st != "") {
      st.replace(/"/g, '\\"');

        var attributes = st.split(';');
        for (var i = 0; i < attributes.length; i++) {
          var entry = attributes[i].split(':');
          entry[1].replace(/["]/g, " ");
          //this.customStyle[entry[0]] = '2px solid #c1baba';
          var a = entry[0];
          this.customStyle[a] =  entry[1];
      }
    }


}

}
