import { OnInit, Injectable, EventEmitter } from '@angular/core';
import {Observable} from 'rxjs/Observable';
import {MenuItem} from 'primeng/primeng';


@Injectable()
export class BreadcrumbService implements OnInit{


    breadcrumbHomeEmitter : EventEmitter<MenuItem> = new EventEmitter<MenuItem>();
    breadcrumbDataEmitter : EventEmitter<Array<MenuItem>> = new EventEmitter<Array<MenuItem>>();
    
    ngOnInit() {
    }
    
    setData(breadcrumbData : Array<MenuItem>){
        this.breadcrumbDataEmitter.emit(breadcrumbData);
    }

    setHome(breadcrumbHome: MenuItem) {
        this.breadcrumbHomeEmitter.emit(breadcrumbHome);
    }

    clearAll(){
        this.breadcrumbDataEmitter.emit(new Array<MenuItem>());
    }

}